diff --git a/packages/cdebconf/src/modules/frontend/newt/newt.c b/packages/cdebconf/src/modules/frontend/newt/newt.c
index 71dd5c3..77911cc 100644
--- a/packages/cdebconf/src/modules/frontend/newt/newt.c
+++ b/packages/cdebconf/src/modules/frontend/newt/newt.c
@@ -118,6 +118,7 @@ struct newtColors newtAltColorPalette = {
 typedef int (newt_handler)(struct frontend *obj, struct question *q);
 
 static void newt_progress_stop(struct frontend *obj);
+static char *get_full_description(struct frontend *obj, struct question *q);
 
 #include "cdebconf_newt.h"
 
@@ -255,11 +256,12 @@ min_window_height(struct frontend *obj, struct question *q, int win_width)
 {
     int height = 3;
     char *type = q->template->type;
-    char *q_ext_text;
+    char *full_description;
 
-    q_ext_text = q_get_extended_description(obj, q);
-    if (q_ext_text != NULL)
-        height = cdebconf_newt_get_text_height(q_ext_text, win_width) + 1;
+    full_description = get_full_description(obj, q);
+    if (full_description != NULL)
+        height = cdebconf_newt_get_text_height(full_description, win_width) + 1;
+    free(full_description)
     if (strcmp(type, "multiselect") == 0 || strcmp(type, "select") == 0)
         height += 4; // at least three lines for choices + blank line
     else if (strcmp(type, "string") == 0 || strcmp(type, "password") == 0)
